package com.mogo.cloud.tanlu.bean;

import java.io.Serializable;

/**
 * @author lixiaopeng
 * @description
 * @since 2021/1/20
 */
public class InformationBody implements Serializable {
    private String data;
    private String addr;
    private String areaCode;
    private String areaName;
    private String cityCode;
    private String cityName;
    private long generateTime;
    private double lat;
    private double lon;
    private String provinceName;
    private String sn;
    private String street;
    private int type; //图片视频
    private int uid; //用户id，可不传
    private int infoType; //主被动
    private int infoTimeout; //过期事件
    private String trafficInfoType; // 上报情报类型
    private boolean isShare; // 是否分享给附近车机
    private float direction; //方向，车头角度
    private String poiType; //类型分类
    private long mainInfoId; //事件id，辅助上报
    private float speed; //车速
    private String fromType; //上报触发来源

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public long getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(long generateTime) {
        this.generateTime = generateTime;
    }

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public double getLon() {
        return lon;
    }

    public void setLon(double lon) {
        this.lon = lon;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public int getInfoType() {
        return infoType;
    }

    public void setInfoType(int infoType) {
        this.infoType = infoType;
    }

    public int getInfoTimeout() {
        return infoTimeout;
    }

    public void setInfoTimeout(int infoTimeout) {
        this.infoTimeout = infoTimeout;
    }

    public String getTrafficInfoType() {
        return trafficInfoType;
    }

    public void setTrafficInfoType(String trafficInfoType) {
        this.trafficInfoType = trafficInfoType;
    }

    public boolean isShare() {
        return isShare;
    }

    public void setShare(boolean share) {
        isShare = share;
    }

    public float getDirection() {
        return direction;
    }

    public void setDirection(float direction) {
        this.direction = direction;
    }

    public String getPoiType() {
        return poiType;
    }

    public void setPoiType(String poiType) {
        this.poiType = poiType;
    }

    public long getMainInfoId() {
        return mainInfoId;
    }

    public void setMainInfoId(long mainInfoId) {
        this.mainInfoId = mainInfoId;
    }

    public float getSpeed() {
        return speed;
    }

    public void setSpeed(float speed) {
        this.speed = speed;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }


    @Override
    public String toString() {
        return "InformationBody{" +
                "data='" + data + '\'' +
                ", addr='" + addr + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaName='" + areaName + '\'' +
                ", cityCode='" + cityCode + '\'' +
                ", cityName='" + cityName + '\'' +
                ", generateTime=" + generateTime +
                ", lat=" + lat +
                ", lon=" + lon +
                ", provinceName='" + provinceName + '\'' +
                ", sn='" + sn + '\'' +
                ", street='" + street + '\'' +
                ", type=" + type +
                ", uid=" + uid +
                ", infoType=" + infoType +
                ", infoTimeout=" + infoTimeout +
                ", trafficInfoType='" + trafficInfoType + '\'' +
                ", isShare=" + isShare +
                ", direction=" + direction +
                ", poiType='" + poiType + '\'' +
                ", mainInfoId=" + mainInfoId +
                ", speed=" + speed +
                ", fromType='" + fromType + '\'' +
                '}';
    }
}
